#!/bin/bash

# 检查是否提供了足够的参数，如果没有则输出提示信息并退出脚本
if [ $# -ne 2 ]; then
    echo "Usage: $0 input_image output_image"
    exit 1
fi

input_image="$1"
output_image="$2"

# 获取图片宽度
width=$(identify -format "%w" "$input_image")
# 获取图片高度
height=$(identify -format "%h" "$input_image")

# 计算裁剪后的宽度和高度
crop_width=$((width - 10))
crop_height=$((height - 10))

# 执行convert命令进行裁剪
convert "$input_image" -crop "${crop_width}x${crop_height}+5+5" "$output_image"